using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    //public enum AttachmentType
    //{
    //    Avatar=1,//头像
    //    Resume=2,//简历
    //    GCP=3,//GCP证书
    //    MedicalLicence=4,//医师资格证
    //    PracticeCertificate=5,//执业资格证
    //    LargeEquipmentWorkingCertificate=6,//大型器械上岗证
    //    HighestDegreeCertificate=7//最高学历证书
    //}
    [Table("Attachment")]
    public partial class Attachment : Entity, IAuditAdd
    {

        [JsonIgnore]
        public Doctor Doctor { get; set; }

        public Guid DoctorId { get; set; }
        public string Type { get; set; }
        public bool IsOfficial { get; set; } = false;
        public string Path { get; set; } = string.Empty;
        public string Code { get; set; } = string.Empty;
        public DateTime? ExpiryDate { get; set; }
        public string FileName { get; set; } = string.Empty;
        public DateTime CreateTime { get; set; }
        public Guid CreateUserId { get; set; } = Guid.Empty;
        //language=1 中文， 2为英文
        public int Language { get; set; } = 0;

        //public Guid CreateUserId { get; set; } = Guid.Empty;
        //public DateTime? CreateTime { get; set; }
    }
}
