using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Sponsor")]
    public partial class Sponsor : Entity, IAuditUpdate, IAuditAdd
    {
        public string SponsorName { get; set; } = String.Empty;
        public string SponsorNameCN { get; set; } = String.Empty;

        public string SponsorCode { get; set; } = String.Empty;

        public bool IsTrialLevel { get; set; }

        public DateTime CreateTime { get; set; } = DateTime.Now;
        public Guid CreateUserId { get; set; } = Guid.Empty;
        public DateTime UpdateTime { get; set; } = DateTime.Now;
        public Guid UpdateUserId { get; set; } = Guid.Empty;
    }
}
