﻿using IRaCIS.Core.Infrastructure.Extention;
using System;

namespace IRaCIS.Core.Infrastructure
{
    public class BusinessValidationFailedException : Exception
    {

        public ApiResponseCodeEnum Code { get; set; }

		public BusinessValidationFailedException()
        {

        }

        public BusinessValidationFailedException(string message, ApiResponseCodeEnum code = ApiResponseCodeEnum.BusinessValidationFailed) : base(message)
        {
			Code = code;

		}
    }
}
