﻿

namespace IRaCIS.Core.Infrastructure.Extention
{
    /// <summary>
    ///  此处是为了 后续代替 IsSuccess   IsSuccess暂时还是保留，接下来的接口判断现在用Code 判断   不用IsSuccess就好了

    /// </summary>
    public enum ApiResponseCodeEnum
    {
        //正常的                                      相当于之前的 IsSuccess = true
        OK = 0,

        //Api 输入参数有问题                           相当于之前的 IsSuccess = false
        ApiInputError = 1,

        //业务验证不通过                               相当于之前的 IsSuccess = false
        BusinessValidationFailed = 2,

        //数据不存在
        DataNotExist = 3,

        //程序异常                                     相当于之前的 IsSuccess = false
        ProgramException = 4,




        //需要提示 ,需要提示  从Result 取数据       （  0  可以继续处理提交 ,1  不能进行继续处理提交 ,2  刷新列表    )
        NeedTips = 5,


        CloseCurrentWindows = 6,


		/// <summary>
		/// IP不一致
		/// </summary>
		IpDiscrepancy = 7,



		//在其他地方登陆，被迫下线
		LoginInOtherPlace = -1,

        AutoLoginOut = -2,

        /// <summary>
        /// 需要修改密码
        /// </summary>
        NeedChangePassWord=-3,

        //没有带token访问（未登陆）
        NoToken = 10,

        //带了Token,但是没有相应权限（该用户类型不能做）
        HaveTokenNotAccess = 11

    }




}
