﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web;

namespace IRaCIS.Core.Application.Service.ImageAndDoc.DTO
{
    public class SubjectImageUploadDTO
    {
        public Guid VisitTaskId { get; set; }

        public Guid TrialSiteId { get; set; }

        public Guid SubejctId { get; set; }

        public string SubjectCode { get; set; }

        public string TaskBlindName { get; set; }

        public string TaskName { get; set; }

        public string CriterionModalitys { get; set; } 

        public Guid? SourceSubjectVisitId { get; set; }
        public PackState PackState { get; set; }

        public List<StudyBasicInfo> OrginalStudyList { get; set; }

        public List<StudyBasicInfo> UploadStudyList { get; set; }

    }

    public class StudyBasicInfo
    {
        public Guid Id { get; set; }
        public string StudyInstanceUid { get; set; }

        public string StudyCode { get; set; }

        public string ModalityForEdit { get; set; }

        public string BodyPartExamined { get; set; }


        public string BodyPartForEdit { get; set; }

        public DateTime? StudyTime { get; set; }

        public string Modalities { get; set; }

        public string Description { get; set; }
        public int SeriesCount { get; set; }
        public int InstanceCount { get; set; }

        public List<string> SopInstanceUidList { get; set; }
    }
}

